version: '{build}'
clone_folder: c:\projects\cpuinfo
environment:
  matrix:
    - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2015
      CMAKE_GENERATOR: Visual Studio 14 2015
    - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2015
      CMAKE_GENERATOR: Visual Studio 14 2015 Win64
    - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2017
      CMAKE_GENERATOR: Visual Studio 15 2017
    - APPVEYOR_BUILD_WORKER_IMAGE: Visual Studio 2017
      CMAKE_GENERATOR: Visual Studio 15 2017 Win64
before_build:
- cmd: |-
    mkdir build
    cd build
    cmake -DCMAKE_CXX_FLAGS=/D_SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING -G "%CMAKE_GENERATOR%" ..

build:
  project: c:\projects\cpuinfo\build\cpuinfo.sln
  verbosity: minimal
  parallel: true

test_script:
- Debug\init-test.exe
- Debug\cpu-info.exe
- Debug\cache-info.exe
- Debug\isa-info.exe

